cURL
curl --request GET \
--url https://api.mottostreaming.com/monetization/transactions/v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mottostreaming.com/monetization/transactions/v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mottostreaming.com/monetization/transactions/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"offer_id": "<string>",
"id": "<string>",
"project_id": "<string>",
"user_id": "<string>",
"offer_title": "<string>",
"offer_description": "<string>",
"msrp": {
"currency_code": "<string>",
"units": "<string>",
"nanos": 123
},
"subtotal_amount": {
"currency_code": "<string>",
"units": "<string>",
"nanos": 123
},
"total_amount": {
"currency_code": "<string>",
"units": "<string>",
"nanos": 123
},
"vat_amount": {
"currency_code": "<string>",
"units": "<string>",
"nanos": 123
},
"discount_code": "<string>",
"discount_amount": {
"currency_code": "<string>",
"units": "<string>",
"nanos": 123
},
"discount_percentage": 123,
"payment_method_id": "<string>",
"subscription_id": "<string>",
"create_time": "2023-11-07T05:31:56Z",
"capture_time": "2023-11-07T05:31:56Z",
"is_test": true,
"offer_name": "<string>"
}
],
"next_page_token": "<string>",
"summary": {
"total_count": 123,
"total_revenue_by_currency": {}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Transactions
List transactions
ListTransactions
Returns list of transactions based on specified parameters.
GET
/
monetization
/
transactions
/
v1
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of records to return
Filter the result-set by properties using a subset of the Kibana Query Language. Only AND statements are supported.
Currently supports filtering on cleeng_transaction_id field.
The pagination token in the List request.
Whether to include summary information in the response.
Response
OK
Show child attributes
Show child attributes
The pagination token that should be used to get next page results. An empty value means no more results
Summary about the response. This always matches the filter criteria of the request, but ignores pagination.
Show child attributes
Show child attributes
⌘I

